Jump to content

Photo

How to run java based Dual Sheath Redux patcher?


  • Please log in to reply
12 replies to this topic

#1
starfis

starfis

    Rogue Translator

  • Supporter
  • PipPipPipPipPip
  • 3,896 posts

How to run java based Dual Sheath Redux patcher in Vortex? Vortex is saying that I don't have java installed, but I know I have. The patcher runs outside of Vortex but unfortunately it thinks that the Skyrim.esm and update.esm are missing so I have to run it in the manager. Any help?


Edited by starfis, 11 October 2018 - 02:09 PM.


#2
BigBizkit

BigBizkit

    Community Manager

  • Admin
  • 3,856 posts

Could you please try to do what is suggested here in the bit about interpreters and see if it helps? https://wiki.nexusmo...hat_can_I_do.3F



#3
starfis

starfis

    Rogue Translator

  • Supporter
  • PipPipPipPipPip
  • 3,896 posts

Sorry I've completely missed the FAQ. Thank you for pointing me in the right direction. That said, it unfortunately doesn't seem to help but I'm probably just doing something wrong.

 

I've added a new tool called Dual Sheath Redux Patcher

 

Target is the folder where java is installed, just like the guide told me to. Should I point to other exe when using win64

C:\Program Files\Java\jre1.8.0_181\bin\java.exe

Command line is 

-jar D:\Games\Vortex Mod Installations\skyrimse\Mods\Dual Sheath Redux-34155-1-7-3\SkyProc Patchers\Dual Sheath Redux Patch\Dual Sheath Redux Patch.jar

Start in 

C:\Program Files\Java\jre1.8.0_181\bin

So I guess it should be setup properly, but the patcher doesn't run. Does it matter that it is not on the same drive? Should I write something into the environment variables?


Edited by starfis, 11 October 2018 - 02:58 PM.


#4
starfis

starfis

    Rogue Translator

  • Supporter
  • PipPipPipPipPip
  • 3,896 posts

I've found out what I've been doing wrong. I've forgot/didn't know I have to use quotation marks in the command line. I'm never using command prompt so I had no idea. Maybe it could be added into the FAQ for noobs like me.

 

Instead of -jar c:\path\to\your\java\based\tool\tool.jar  there could be -jar "c:\path\to\your\java\based\tool\tool.jar" To make it clearer for people with no experience Which would save me some time. haha

 

The command should be

-jar "D:\Games\Vortex Mod Installations\skyrimse\Mods\Dual Sheath Redux-34155-1-7-3\SkyProc Patchers\Dual Sheath Redux Patch\Dual Sheath Redux Patch.jar"

Now the patcher window at least appears. Too bad it doesn't work.  :wallbash:

 

Now when I run the patcher, the window saying "This patcher requires the following mods, please add them to your load order: Dual Sheath Redux.esp" appears. Well the  esp actually IS active in my load order.

When I click "OK" I can see another window saying "The application couldn't open the save file output stream. Your settings were not saved." And that's it.


Edited by starfis, 11 October 2018 - 07:30 PM.


#5
rmm200

rmm200

    Old hand

  • Members
  • PipPipPip
  • 514 posts

I would change "Start in" to the game directory. At least worth a try. Everything else looks good to me.



#6
starfis

starfis

    Rogue Translator

  • Supporter
  • PipPipPipPipPip
  • 3,896 posts

Thanks! It does seem to help. The patch is running now! And to my surprise it didn't get stuck.

 

The Start in for my particular configuration in case anyone else would be trying to fix it is

D:\Games\Steam\steamapps\common\Skyrim Special Edition\Data\SkyProc Patchers\Dual Sheath Redux Patch

Now just deploy mods, apply changes, and then finally try to start the game to see if or more likely how much crashing I've caused.  :D

 

933641-1539303496.jpg

It really works!


Edited by starfis, 12 October 2018 - 12:30 AM.


#7
rmm200

rmm200

    Old hand

  • Members
  • PipPipPip
  • 514 posts

:happy:



#8
BigBizkit

BigBizkit

    Community Manager

  • Admin
  • 3,856 posts

I am glad it was something simple such as missing quotation marks and that you succeeded in figuring it out  :thumbsup:



#9
ChaosMyotismon

ChaosMyotismon

    Journeyman

  • Members
  • Pip
  • 25 posts

Would this same problem be what is stopping Automatic Variants? My Vortex keeps saying "failed to run tool" 

 

Target = C:\Program Files\Java\jre1.8.0_191\bin\java.exe

 

Command line = -jar C:\Program Files\Java\jre1.8.0_191\bin\java.exe

 

Start in = C:\Users\ChaosMyotismon\AppData\Roaming\Vortex\skyrimse\mods\Automatic Variants SSE-10861-0-0-6\SkyProc Patchers\Automatic Variants

 

Is this correct or do I have something wrong?


Edited by ChaosMyotismon, 06 November 2018 - 01:12 PM.


#10
ChaosMyotismon

ChaosMyotismon

    Journeyman

  • Members
  • Pip
  • 25 posts

After what feels like days of fighting with this. I think I might of got it. Well at least it doesn't tell me "Failed to run tool." It just doesn't run anything.

 

I got it to work, but none of the texture packs are showing. Oh well. I'll figure that out next.


Edited by ChaosMyotismon, 09 November 2018 - 01:04 PM.





Page loaded in: 0.725 seconds